FORMAX DEVELOPER API
  1. Bill Payment V4 API
  • Explore Our API Suite
  • Balance API
    • Main Wallet Balance
      POST
    • Main Wallet Balance
      GET
  • Outlet API
    • Onboard
      POST
    • Fetch by Outlet ID
      POST
  • Recharge API
    • Recharge Transaction
      POST
    • Recharge Transaction
      GET
    • Recharge Callback
    • Recharge Status
      GET
    • Complaint
      GET
    • Operator List
      GET
  • Bill Payment API
    • Category List
      POST
    • Biller List
      POST
    • Bill Fetch
      POST
    • Bill Payment
      POST
    • Transaction Status
      POST
  • Bill Payment V4 API
    • Get All Billers
      GET
    • Get by Category
      GET
    • Get by Biller ID
      GET
    • Bill Fetch
      POST
    • Bill Validation
      POST
    • Bill Payment
      POST
    • Bill Payment Callback
    • Complaint Registration
      POST
    • Complaint Status
      POST
  • NSDL E-KYC PAN Card API
    • Get Authorization API
    • Redirect URL
    • Incomplete URL
    • Response
    • Transaction Status
    • PAN Status
    • Android SDK
  • UTI PAN Card API
    • PSA Registration
    • PSA Registration Callback
    • Credentials
    • Buy Coupon
    • PAN Coupon Callback Response
    • Transaction Status
  • Insurance POSP API
    • Generate Redirect URL
    • Fetch Balance
    • Wallet Debit
    • Payout
  • BC Money Transfer
    • Bank List
    • Search Remitter
    • Remitter Registration
    • Remitter Registration Verify
    • Remitter E-KYC
    • Transaction Send OTP
    • Transaction
    • Transaction Status
    • Transaction Refund OTP
    • Transaction Refund
  • UPI Cash Point
    • Generate QR
    • QR Status
  • Gift Voucher API
    • Brand List
    • Pull Voucher
    • Transaction Status
  • Verification API
    • PAN Verification
    • Bank Account Verification
  • Credit Card, Bank Account & Demat Account Lead API
    • Fetch All Products
    • Create Lead
    • Lead Status
    • Lead Payout Callback
  • AEPS
    • Bank List
    • Agent Registration
    • Agent E-KYC Status
    • Agent E-KYC
    • Two Factor Auth Status
    • Two Factor Auth
  1. Bill Payment V4 API

Bill Payment

POST
https://api.formaxpay.com/api/bbps/v4/bill_payment

Request

Query Params

Header Params

Body Params application/jsonRequired

Examples

Responses

🟢200Success
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.formaxpay.com/api/bbps/v4/bill_payment?Authorization=Basic%20aXlrdmN4TTNVRjJoNmFwREJncWhGWFRDaUxMZ0hPVVk6cE9rZCE7ZGNVUjU3MDFjOw%3D%3D' \
--header 'Authorization: Basic aXlrdmN4TTNVRjJoNmFwREJncWhGWFRDaUxMZ0hPVVk6cE9rZCE7ZGNVUjU3MDFjOw==' \
--header 'Content-Type: application/json' \
--data '{
    "agent_id": "CC01RS16AGTBBH278223",
    "biller_adhoc": "true",
    "device": {
        "ip": "164.52.211.0",
        "channel": "AGT",
        "mac": ""
    },
    "customer": {
        "mobile": "9836114520",
        "email": "",
        "aadhaar": "",
        "pan": ""
    },
    "biller_id": "WEST00000WBLUN",
    "input_params": {
        "input": [
            {
                "paramName": "Consumer ID",
                "paramValue": "105819812"
            },
            {
                "paramName": "Mobile Number",
                "paramValue": "9836114520"
            }
        ]
    },
    "additional_info": "",
    "biller_response": {
        "bill_amount": 10,
        "bill_date": "2026-08-04",
        "bill_number": "NA",
        "bill_period": "NA",
        "customer_name": "EZAZUL HAQUE",
        "due_date": "2026-08-04",
        "amount_options": null
    },
    "amount_info": {
        "amount": "100",
        "currency": "365",
        "cust_conv_fee": "0",
        "amount_tags": ""
    },
    "p_order_id": "P13421324483156985ssh",
    "payment_method": {
        "mode": "Cash",
        "quick_pay": "N",
        "split_pay": "N"
    },
    "payment_info": {
        "info": [
            {
                "infoName": "Remarks",
                "infoValue": "Received"
            }
        ]
    },
}'
Response Response Example
{
    "status": "SUCCESS",
    "message": "Transaction Successful",
    "data": {
        "account": "153079219",
        "customer_name": "SK ASHRAF ALI",
        "amount": "100",
        "biller_id": "WEST00000WBLUN",
        "biller_name": "West Bengal Electricity Prepaid",
        "category": "Electricity",
        "commercial_amount": "1.50",
        "debit_amount": "5.00",
        "opening_bal": "247.70",
        "closing_bal": "242.70",
        "order_id": "BP10083007812500BUVFX",
        "partner_order_id": "P13421324483156984",
        "bconnect_txn_id": "CC016210CBAE80749178",
        "cust_conv_fee": "0",
        "error_message": null,
        "payment_mode": "UPI",
        "timestamp": "2026-07-29 23:24:51",
        "approval_ref_number": "AB123456"
    }
}
Modified at 2026-08-04 15:31:27
Previous
Bill Validation
Next
Bill Payment Callback
Built with